QGIS Application - Bug report #11194

QGIS 2.4 crashes when adding >1 column in a PostGIS table

2014-09-12 03:07 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Vectors

Affected QGIS version:2.4.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 19505

Description
Should be a regression.
Steps:

- open a postgis table

- toggle editing
- open field calculator

- create a new field (tested "text" type) and use some expression (or just text) to fill it

- repeat the above step, to add another field
- try save, QGIS will return a error (issue #1)
- then discard edits -> crash (issue #2)

Terminal message:

giovanni@sibirica:~ > qgis

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: Bus::open: Can not get ibus-daemon's address.
IBuslInputContext::createlnputContext: no connection to ibus-daemon

Warning: QGraphicsScene::addltem: item has already been added to this scene
Fatal: ASSERT: "mChangedAttributeValues.isEmpty()" in file /build/buildd/qgis-2.4.0/src/core/qgsvectorlayereditbuffer.cpp, line 530
QGIS died on signal -1Could not attach to process. If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.
No thread selected

No stack.

gdb returned 0

Aborted

Associated revisions

Revision 35936084 - 2014-09-22 08:47 AM - Matthias Kuhn

Restore buttonbox visibility after attribute form reload

Followup febe37de

Fix #11229
Fix #11194
History

#1 - 2014-09-15 09:08 AM - Pedro Venancio

Hi

Something similar is happening to me, with shapefiles. The steps to reproduce:

1. Load or create a shapefile;

2. Open the attributes table and add a new attribute with "New column - Provider field" or "Field calculator”;

3. QGIS crashes:

I'm with QGIS 2.5.0-Master (nightly build 2.5.0+git20140913+b44ef92~precise-ubuntugis1) on Xubuntu 12.04 32bits.

Program received signal SIGSEGV, Segmentation fault.

0x03a2a2af in QDialogButtonBox::button(QDialogButtonBox::StandardButton) const
() from /usr/lib/i386-linux-gnu/libQtGui.so.4

(gdb) continue

Continuing.

QGIS died on signal 11[Thread Oxae46bb40 (LWP 4661) exited]

[Thread 0xa7766b40 (LWP 4670) exited]

[Thread 0xa984eb40 (LWP 4668) exited]

[Thread Oxa8effb40 (LWP 4669) exited]

Could not attach to process. If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operagdo ndo permitida.

No thread selected

No stack.

gdb returned 0

Program received signal SIGABRT, Aborted.
0x00132416 in __kernel_vsyscall ()

(gdb) continue

Continuing.

[Thread 0xaf729b40 (LWP 4655) exited]
[Thread 0xb4b78b40 (LWP 4648) exited]
[Thread 0xb5479b40 (LWP 4647) exited]

Program terminated with signal SIGABRT, Aborted.
The program no longer exists.

#2 - 2014-09-21 11:51 PM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"35936084ff9c6f912611bab471a3ddf20aa906b".
